Index: park_integration/test/small_test.py
===================================================================
--- park_integration/test/small_test.py	(revision 385d4645eeb5d1a054c5be3a85647a483f6167fa)
+++ park_integration/test/small_test.py	(revision af4af5a8168c4d4f2af946b71a9a47d1619f192f)
@@ -23,5 +23,5 @@
         model1  = CylinderModel()
         model1.setParam('contrast', 1)
-        #data = Data(sans_data=data1)
+        data1.smearer = None
         data = FitData1D(data1)
         model = Model(model1)
Index: rk_integration/test/test_engine_methods.py
===================================================================
--- park_integration/test/test_engine_methods.py	(revision 8bbab51dadf0f5733ee5e322ab34e8d8f3f9708b)
+++ 	(revision )
@@ -1,98 +1,0 @@
-"""
-    test Data, Model , fucntor classes of AbstractFittingModule
-"""
-import unittest
-from sans.guitools.plottables import Theory1D
-from sans.guitools.plottables import Data1D
-from sans.fit.AbstractFitEngine import Data, Model
-from sans.fit.AbstractFitEngine import sansAssembly
-import math
-class testFitModule(unittest.TestCase):
-    """ test fitting """
-    
-    def test_Data(self):
-        """ test Data"""
-        #load data
-        from sans.fit.Loader import Load
-        load= Load()
-        load.set_filename("cyl_testdata.txt")
-        load.set_values()
-        data11 = Data1D(x=[], y=[],dx=None, dy=None)
-        load.load_data(data11)
-        
-        #Importing the Fit module
-        from sans.fit.Fitting import Fit
-        fitter= Fit('scipy')
-        
-        # Receives the type of model for the fitting
-        from sans.guitools.LineModel import LineModel
-        model1  = LineModel()
-        data1=Data(sans_data=data11)
-        model =Model(model1)
-        #Do the fit SCIPY0.007778 1.78E+14 13335629 
-        v=[0.007778,0.023333,0.031111,0.038889,0.046667,0.054444]
-        for i in range(len(v)):
-            self.assertEquals(data1.x[i],v[i])
-        #fitter.set_data_assembly(data1,1)
-        #fitter.set_model_assembly(model,"M1",1,['A','B'])
-    def test_Model(self):
-        """ test Model"""
-        #load data
-        from sans.fit.Loader import Load
-        load= Load()
-        load.set_filename("cyl_testdata.txt")
-        load.set_values()
-        data11 = Data1D(x=[], y=[],dx=None, dy=None)
-        load.load_data(data11)
-        
-        #Importing the Fit module
-        from sans.fit.Fitting import Fit
-        fitter= Fit('scipy')
-        
-        # Receives the type of model for the fitting
-        from sans.models.CylinderModel import CylinderModel
-        model1  = CylinderModel()
-        data1=Data(sans_data=data11)
-        model =Model(model1)
-        for item in data1.x:
-            self.assertEquals(model.eval(item),model.model.run(item))
-        p=[0.0, 3.0000000000000001e-006, 1.0, 1.0, 400.0, 20.0, 1.0]  
-        model.setParams(p)
-        res=[]
-        for i in range(len(data1.x)):
-            res.append((data1.y[i]-model.eval(data1.x[i]))/data1.dy[i])
-            self.assertEquals(model.eval(data1.x[i]),model.model.run(data1.x[i]))  
-        print res
-    def test_funtor(self):
-        """ test functor"""
-        #load data
-        from sans.fit.Loader import Load
-        load= Load()
-        load.set_filename("cyl_testdata.txt")
-        load.set_values()
-        data11 = Data1D(x=[], y=[],dx=None, dy=None)
-        load.load_data(data11)
-        
-        #Importing the Fit module
-        from sans.fit.Fitting import Fit
-        fitter= Fit('scipy')
-        
-        # Receives the type of model for the fitting
-        from sans.models.CylinderModel import CylinderModel
-        model1  = CylinderModel()
-        data1=Data(sans_data=data11)
-        model =Model(model1)
-        functor= sansAssembly(model,data1)
-        for item in data1.x:
-            self.assertEquals(model.eval(item),model.model.run(item))
-        p=[0.0, 3.0000000000000001e-006, 1.0, 1.0, 400.0, 20.0, 1.0]  
-        model.setParams(p)
-        res=[]
-        for i in range(len(data1.x)):
-            res.append((data1.y[i]-model.eval(data1.x[i]))/data1.dy[i])
-            self.assertEquals(model.eval(data1.x[i]),model.model.run(data1.x[i]))  
-        f=functor(p)
-
-        for i in range(len(res)):
-            self.assertEquals(res[i],f[i])    
-       
Index: park_integration/test/test_fit_line.py
===================================================================
--- park_integration/test/test_fit_line.py	(revision 5fcfca47c57c6688790f4fb918f72ae6f8581f69)
+++ park_integration/test/test_fit_line.py	(revision af4af5a8168c4d4f2af946b71a9a47d1619f192f)
@@ -23,4 +23,5 @@
         model1.name = "M1"
         #data = Data(sans_data=data1 )
+        data1.smearer=None
         data = FitData1D(data1 )
         model = Model(model1)
@@ -87,6 +88,6 @@
         model22  = LineModel()
         model11.name= "M2"
-        #data1 = Data(sans_data=data11 )
-        #data2 = Data(sans_data=data22 )
+        data11.smearer=None
+        data22.smearer=None
         data1 = FitData1D(data11 )
         data2 = FitData1D(data22 )
@@ -157,5 +158,6 @@
         #data1 = Data(sans_data=data11 )
         #data2 = Data(sans_data=data22 )
-        
+        data11.smearer= None
+        data22.smearer= None
         data1 = FitData1D(data11 )
         data2 = FitData1D(data22 )
@@ -201,6 +203,6 @@
         model1.name= "M1"
       
-        #data1 = Data(sans_data=data11 )
-        #data2 = Data(sans_data=data22 )
+        data11.smearer=None
+        data22.smearer=None
         data1 = FitData1D(data11 )
         data2 = FitData1D(data22 )
